org.keycloak.services.managers

## Enum AuthenticationManager.AuthenticationStatus

- java.lang.Object
- - java.lang.Enum<AuthenticationManager.AuthenticationStatus>
  - - org.keycloak.services.managers.AuthenticationManager.AuthenticationStatus

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticationManager.AuthenticationStatus>
  Enclosing class:
    AuthenticationManager

      public static enum AuthenticationManager.AuthenticationStatus
      extends Enum<AuthenticationManager.AuthenticationStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT_DISABLED`
    `ACCOUNT_TEMPORARILY_DISABLED`
    `ACTIONS_REQUIRED`
    `FAILED`
    `INVALID_CREDENTIALS`
    `INVALID_USER`
    `MISSING_PASSWORD`
    `MISSING_TOTP`
    `SUCCESS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationManager.AuthenticationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationManager.AuthenticationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AuthenticationManager.AuthenticationStatus SUCCESS

    - #### ACCOUNT_TEMPORARILY_DISABLED

          public static final AuthenticationManager.AuthenticationStatus ACCOUNT_TEMPORARILY_DISABLED

    - #### ACCOUNT_DISABLED

          public static final AuthenticationManager.AuthenticationStatus ACCOUNT_DISABLED

    - #### ACTIONS_REQUIRED

          public static final AuthenticationManager.AuthenticationStatus ACTIONS_REQUIRED

    - #### INVALID_USER

          public static final AuthenticationManager.AuthenticationStatus INVALID_USER

    - #### INVALID_CREDENTIALS

          public static final AuthenticationManager.AuthenticationStatus INVALID_CREDENTIALS

    - #### MISSING_PASSWORD

          public static final AuthenticationManager.AuthenticationStatus MISSING_PASSWORD

    - #### MISSING_TOTP

          public static final AuthenticationManager.AuthenticationStatus MISSING_TOTP

    - #### FAILED

          public static final AuthenticationManager.AuthenticationStatus FAILED

  - ### Method Detail

    - #### values

          public static AuthenticationManager.AuthenticationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationManager.AuthenticationStatus c : AuthenticationManager.AuthenticationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationManager.AuthenticationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.